<Project Sdk="Microsoft.NET.Sdk">
	<PropertyGroup>
		<OutputType>WinExe</OutputType>
		<TargetFramework>net8.0-windows</TargetFramework>
	</PropertyGroup>

	<PropertyGroup>
		<OutputPath>$(SolutionDir)Binary</OutputPath>
		<AppendTargetFrameworkToOutputPath>false</AppendTargetFrameworkToOutputPath>
		<ManagePackageVersionsCentrally>true</ManagePackageVersionsCentrally>
	</PropertyGroup>

	<PropertyGroup>
		<UseWPF>true</UseWPF>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<LangVersion>latest</LangVersion>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="CommunityToolkit.Mvvm" />
		<PackageReference Include="Mapster" />
		<PackageReference Include="Prism.DryIoc" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\Data\Device\Device.csproj" />
		<ProjectReference Include="..\Data\GeneralData\GeneralData.csproj" />
		<ProjectReference Include="..\Data_ViewModel\GlobalData\GlobalData.csproj" />
		<ProjectReference Include="..\UICommon\UICommon.csproj" />
	</ItemGroup>

</Project>
